<?php
require_once "include/config.php";
if ($_SESSION['user_status'] == "A" && $_SESSION['user_type'] == "A") { ?>
	<!DOCTYPE html>
	<html lang="en">
	<head>
		<title>Admin Panel</title>
		<!--== META TAGS ==-->
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
		<!--== FAV ICON ==-->
		<link rel="shortcut icon" href="images/fav.ico">
		
		<!-- GOOGLE FONTS -->
		<link href="https://fonts.googleapis.com/css?family=Nunito+Sans:400,600,700" rel="stylesheet">
		
		<!-- FONT-AWESOME ICON CSS -->
		<link rel="stylesheet" href="css/font-awesome.min.css">
		
		<!--== ALL CSS FILES ==-->
		<link rel="stylesheet" href="css/style.css">
		<link rel="stylesheet" href="css/mob.css">
		<link rel="stylesheet" href="css/bootstrap.css">
		<link rel="stylesheet" href="css/materialize.css"/>
		
		<!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
		<!-- WARNING: Respond.js doesn't work if you view the page via file:// --><!--[if lt IE 9]>
		<script src="js/html5shiv.js"></script>
		<script src="js/respond.min.js"></script>    <![endif]-->
	</head>
	<body>
		<?php include_once "include/header.php"; ?>
		
		<!--== BODY CONTNAINER ==-->
		<div class="container-fluid sb2">
			<div class="row">
				
				<?php include_once "include/sidebar.php"; ?>
				
				<div class="sb2-2">
					<div class="sb2-2-2">
						<ul>
							<li><a href="#"><i class="fa fa-home" aria-hidden="true"></i> Home</a>
							</li>
							<li class="active-bre"><a href="#"> Add Category Banner</a>
							</li>
						</ul>
					</div>
					<div class="sb2-2-add-blog sb2-2-1">
						<?php if (isset($_SESSION['error_msg'])) {
							echo $_SESSION['error_msg'];
							unset($_SESSION['error_msg']);
						}
						if (isset($_SESSION['success_msg'])) {
							echo $_SESSION['success_msg'];
							unset($_SESSION['success_msg']);
						}
						?>
						<div class="tab-content">
							<div id="home" class="tab-pane fade in active">
								<div class="box-inn-sp">
									<div class="inn-title">
										<h4 class="txt-center">Add Category Banner</h4>
									</div>
									<div class="bor">
										<form action="include/add_category_banner.php" method="post" enctype="multipart/form-data">
											<div class="row">
												<div class="input-field col s12">
													<p>Select Category</p>
													<select name="category_code" id="category_code" class="browser-default"
													        onchange="fetch_sub_category(this);">
														<option value="0" disbabled selected>Select Category</option>
														<?php $category = $connection->query("SELECT * FROM categories WHERE
															parent_category_code = 0 AND category_level = '1' AND status = 'A'");
														while ($row = $category->fetch_array()) { ?>
															<option value="<?php echo $row['category_code']; ?>"><?php echo $row['name']; ?></option>
														<?php } ?>
													</select>
													<select name="sub_category_code" id="sub_category_code" class="hide browser-default"></select>
													<select name="sub_sub_category_code" id="sub_sub_category_code" class="hide browser-default"></select>
												</div>
												<div class="input-field col s12">
													<input id="category_banner" name="category_banner" type="file" class="validate" required>
													<label for="category_banner"></label>
												</div>
											</div>
											<div class="row">
												<div class="input-field col s12">
													<input type="submit" name="submit_button" class="waves-effect waves-light btn-large"
													       value="Add Category">
												</div>
											</div>
										</form>
									</div>
								</div>
							</div>
						
						</div>
					</div>
				</div>
			</div>
		</div>
		
		<!--== BOTTOM FLOAT ICON ==-->
		
		<!--======== SCRIPT FILES =========-->
		<script src="js/jquery.min.js"></script>
		<script src="js/bootstrap.min.js"></script>
		<script src="js/materialize.min.js"></script>
		<script src="js/custom.js"></script>
		<script>

			function fetch_sub_category(self) {

				$.ajax({
					url: "./include/fetch_child_categories.php",
					data: {code: self.value},
					type: "post",
					dataType: "json",
					success: function (response) {
						console.log(response);
						var options;

						if (response.status === 1) {
							options = "<option value='0' selected disabled>choose sub category</option>";
							$.each(response.value, function (index, item) {
								options += "<option value='" + item.category_code + "'>" + item.name + "</option>";
							});

							$('select[name="sub_category_code"]').attr('onchange', 'fetch_sub_sub_category(this)').removeClass('hide').empty().append(options);
						}
					},
					error: function (response) {
						console.log(error);
					},
				});
			}

			function fetch_sub_sub_category(self) {

				$.ajax({
					url: "./include/fetch_child_categories.php",
					data: {code: self.value},
					type: "post",
					dataType: "json",
					success: function (response) {
						console.log(response);
						var options;

						if (response.status === 1) {
							options = "<option value='0' selected disabed>choose sub sub category</option>";
							$.each(response.value, function (index, item) {
								options += "<option value='" + item.category_code + "'>" + item.name + "</option>";
							});

							$('select[name="sub_sub_category_code"]').removeClass('hide').empty().append(options);
						}
					},
					error: function (response) {
						console.log(error);
					},
				});
			}
		</script>
	</body>
	
	</html>
<?php } else {
	$_SESSION['error_msg'] = "<div class='alert alert-danger'>";
	$_SESSION['error_msg'] .= "<a href='#' class='close' data-dismiss='alert'>&times;</a>";
	$_SESSION['error_msg'] .= "Sorry, You need to login to view that page.</div>";
	header("Location: index.php");
}
?>